ok so if i download apache, can i delete iis 5, since i hear it has alot of loopholes in it. also i have win2k and i was wondering if apache would work under a nt machine? last question which verison of apache do i download?